# Uses of Class
javafx.scene.Cursor

Packages that use Cursor
Package
Description
javafx.css.converter
Provides various `StyleConverter` classes that convert CSS parsed values.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of Cursor in javafx.css.converter

Methods in javafx.css.converter that return Cursor
Modifier and Type
Method
Description
`Cursor`
CursorConverter.`convert(ParsedValue<String,Cursor> value, Font not_used)`
Methods in javafx.css.converter that return types with arguments of type Cursor
Modifier and Type
Method
Description
`static StyleConverter<String,Cursor>`
CursorConverter.`getInstance()`
Method parameters in javafx.css.converter with type arguments of type Cursor
Modifier and Type
Method
Description
`Cursor`
CursorConverter.`convert(ParsedValue<String,Cursor> value, Font not_used)`

## Uses of Cursor in javafx.scene

Subclasses of Cursor in javafx.scene
Modifier and Type
Class
Description
`class`
`ImageCursor`
A custom image representation of the mouse cursor.
Fields in javafx.scene declared as Cursor
Modifier and Type
Field
Description
`static final Cursor`
Cursor.`CLOSED_HAND`
A cursor with a hand that is closed, often used when "grabbing", for example, when panning.
`static final Cursor`
Cursor.`CROSSHAIR`
The crosshair cursor type.
`static final Cursor`
Cursor.`DEFAULT`
The default cursor type (gets set if no cursor is defined).
`static final Cursor`
Cursor.`DISAPPEAR`
The disappear cursor type.
`static final Cursor`
Cursor.`E_RESIZE`
The east-resize cursor type.
`static final Cursor`
Cursor.`H_RESIZE`
The horizontal cursor type.
`static final Cursor`
Cursor.`HAND`
The hand cursor type, resembling a pointing hand, often used to indicate that something can be clicked, such as a hyperlink.
`static final Cursor`
Cursor.`MOVE`
The move cursor type.
`static final Cursor`
Cursor.`N_RESIZE`
The north-resize cursor type.
`static final Cursor`
Cursor.`NE_RESIZE`
The north-east-resize cursor type.
`static final Cursor`
Cursor.`NONE`
The none cursor type.
`static final Cursor`
Cursor.`NW_RESIZE`
The north-west-resize cursor type.
`static final Cursor`
Cursor.`OPEN_HAND`
A cursor with a hand which is open
`static final Cursor`
Cursor.`S_RESIZE`
The south-resize cursor type.
`static final Cursor`
Cursor.`SE_RESIZE`
The south-east-resize cursor type.
`static final Cursor`
Cursor.`SW_RESIZE`
The south-west-resize cursor type.
`static final Cursor`
Cursor.`TEXT`
The text cursor type.
`static final Cursor`
Cursor.`V_RESIZE`
The vertical cursor type.
`static final Cursor`
Cursor.`W_RESIZE`
The west-resize cursor type.
`static final Cursor`
Cursor.`WAIT`
The wait cursor type.
Methods in javafx.scene that return Cursor
Modifier and Type
Method
Description
`static Cursor`
Cursor.`cursor(String identifier)`
Returns a cursor for the specified identifier.
`final Cursor`
Node.`getCursor()`
Gets the value of the `cursor` property.
`final Cursor`
Scene.`getCursor()`
Gets the value of the `cursor` property.
`protected Cursor`
Node.`getInitialCursor()`
Returns the initial cursor state of this node, for use by the JavaFX CSS engine to correctly set its initial value.
Methods in javafx.scene that return types with arguments of type Cursor
Modifier and Type
Method
Description
`final ObjectProperty<Cursor>`
Node.`cursorProperty()`
Defines the mouse cursor for this `Node` and subnodes.
`final ObjectProperty<Cursor>`
Scene.`cursorProperty()`
Defines the mouse cursor for this `Scene`.
Methods in javafx.scene with parameters of type Cursor
Modifier and Type
Method
Description
`final void`
Node.`setCursor(Cursor value)`
Sets the value of the `cursor` property.
`final void`
Scene.`setCursor(Cursor value)`
Sets the value of the `cursor` property.

## Uses of Cursor in javafx.scene.control

Methods in javafx.scene.control that return Cursor
Modifier and Type
Method
Description
`protected Cursor`
Hyperlink.`getInitialCursor()`
Returns the initial cursor state of this control, for use by the JavaFX CSS engine to correctly set its initial value.